Summary:        Agent for Spice guests
Name:           spice-vdagent
Version:        0.22.1
Release:        5%{?dist}
License:        GPLv3+
URL:            https://spice-space.org/
Source0:        https://spice-space.org/download/releases/%{name}-%{version}.tar.bz2
BuildRequires:  make automake autoconf libtool
BuildRequires:  systemd-devel
BuildRequires:  glib2-devel spice-protocol
BuildRequires:  libpciaccess-devel libXrandr-devel libXinerama-devel
BuildRequires:  libXfixes-devel desktop-file-utils
BuildRequires:  alsa-lib-devel dbus-devel libdrm-devel
%{?systemd_requires}

%description
The SPICE project aims to provide a complete open source solution
for remote access to virtual machines in a seamless way so you can
play videos, record audio, share usb devices and share folders
without complications. Spice agent for Linux guests offering the
following features:

* Client mouse mode (no need to grab mouse by client, no mouse lag)
  this is handled by the daemon by feeding mouse events into the kernel
  via uinput. This will only work if the active X-session is running a
  spice-vdagent process so that its resolution can be determined.
* Automatic adjustment of the X-session resolution to the client resolution
* Support of copy and paste between the active X-session and the
  client for text and images


%prep
%autosetup -p1


%build
autoreconf -fi
%configure --with-session-info=systemd --with-init-script=systemd
%make_build V=2


%install
%make_install V=2


%post
%systemd_post spice-vdagentd.service spice-vdagentd.socket

%preun
%systemd_preun spice-vdagentd.service spice-vdagentd.socket

%postun
%systemd_postun_with_restart spice-vdagentd.service spice-vdagentd.socket


%files
%license COPYING
%doc CHANGELOG.md README.md
%{_unitdir}/spice-vdagentd.service
%{_unitdir}/spice-vdagentd.socket
%{_prefix}/lib/udev/rules.d/70-spice-vdagentd.rules
%{_prefix}/lib/tmpfiles.d/spice-vdagentd.conf
%{_userunitdir}/spice-vdagent.service
%{_bindir}/spice-vdagent
%{_sbindir}/spice-vdagentd
%{_var}/run/spice-vdagentd
%{_sysconfdir}/xdg/autostart/spice-vdagent.desktop
%{_datadir}/gdm
%{_mandir}/man1/%{name}*.1*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 1 2022 Shuo Wang <abushwang@tencent.com> - 0.22.1-1
- initial build
